.App {
  background-image: url("../energy-background.png");
  min-height: 100vh;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.user-table{
  display: flex;
  justify-content: center;
  align-items: center;
  width: 50%;
  margin: 0 auto;
  height: 70vh;
}

.chat-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh; /* Full viewport height */
}

.message-container {
  height: 600px;
  width: 600px;
  border: 2px solid black;
  border-radius: 8px;
  overflow-y: auto;
  padding: 10px;
  display: flex;
  flex-direction: column;
  background-color: #D5f2c6;
}


.message {
  padding: 8px;
  margin-bottom: 5px;
  border-radius: 8px;
}

.sender-me {
  background-color: #ff0000;  /* Red for client's messages */
  color: #fff;
  align-self: flex-end;
}

.sender-admin {
  background-color: #0000ff;  /* Blue for admin's messages */
}

